Update LOA status
curl --request PUT \
--url https://api.voltview.co.uk/v1/loas/{loaId}/status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.voltview.co.uk/v1/loas/{loaId}/status"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voltview.co.uk/v1/loas/{loaId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"businessId": "<string>",
"customerName": "<string>",
"customerAddress": "<string>",
"filePath": "<string>",
"authorizedPersons": [
{
"id": "<string>",
"name": "<string>",
"company": "<string>",
"role": "<string>"
}
],
"supplyPoints": [
{
"id": "<string>",
"mpanMprn": "<string>",
"address": "<string>",
"meterId": "<string>"
}
],
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"signatureDate": "2023-12-25",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}LOA Management
Update LOA status
Update the status of an LOA. Valid statuses: PENDING, SENT, SIGNED, EXPIRED, REJECTED.
PUT
/
v1
/
loas
/
{loaId}
/
status
Update LOA status
Authorizations
VoltView API key
Path Parameters
UUID of the LOA
Body
application/json
New status for the LOA
Available options:
PENDING, SENT, SIGNED, EXPIRED, REJECTED Response
LOA status updated successfully
LOA identifier
Associated business identifier
Customer/business name
Customer address
LOA status
Available options:
PENDING, SENT, SIGNED, EXPIRED, REJECTED Path to stored LOA document
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I